// gnome.xonotic.in.ua

textures/common/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/egyptsoc_floor/grate1a
{
	surfaceparm metalsteps
	cull none
	{
		map textures/egyptsoc_floor/grate1a.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/egyptsoc_sfx/jpblue_floor1b
{
	qer_editorimage textures/egyptsoc_floor/jumppad1bb.tga
	q3map_lightimage textures/egyptsoc_floor/jumppad1b.blend.tga
	q3map_surfacelight 400
	{
		map textures/ctf/blue_telep.tga
		tcmod rotate 180
		tcmod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/ctf/jumppadsmall_b.tga
		blendfunc add
		tcmod stretch sin 0.95 .7 0 1.25
		rgbgen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/egyptsoc_floor/jumppad1bb.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/egyptsoc_floor/jumppad1b.blend.tga
		blendfunc add
		rgbgen wave sin .8 .2 0 1
	}
}

textures/egyptsoc_sfx/lig_064-04b2-2k
{
	qer_editorimage textures/egyptsoc_sfx/lig_064-04b2.tga
	q3map_lightimage textures/egyptsoc_sfx/lig_064-04b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/egyptsoc_sfx/lig_064-04b2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/egyptsoc_sfx/lig_064-04b.blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .3 .1 0 0.5
	}
}

textures/liquids/clear_ripple1_q3dm1
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/liquids/pool3d_5.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sfx/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

textures/skies/killsky
{
	qer_editorimage textures/skies/killsky_1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_sun 3 2 2 70 315 65
	q3map_surfacelight 75
	skyparms - 512 -
	{
		map textures/skies/killsky_1.tga
		tcmod scroll 0.05 .1
		tcmod scale 2 2
	}
	{
		map textures/skies/killsky_2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.05 0.06
		tcmod scale 3 2
	}
}

